#
# spec file for package unified-installer-release
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           unified-installer-release
Summary:        SUSE Linux Enterprise 15 SP4
Version:        15.5
Release:        150500.1.1
License:        MIT
Group:          System/Fhs
Provides:       distribution-release
Conflicts:      otherproviders(distribution-release)
Provides:       %name-%version
BuildArch:      noarch
AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    %ix86 s390

%description
Internal release package only needed to build the unified installer
RPMs.

%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT/etc

mkdir -p $RPM_BUILD_ROOT/etc
cat >$RPM_BUILD_ROOT/etc/os-release << EOF
NAME="SLE"
VERSION="15-SP5%{?betaversion: }%{?betaversion}"
VERSION_ID="%{version}%{?betaversion?: }%{?betaversion}"
PRETTY_NAME="SUSE Linux Enterprise 15 SP5"
ID="sle"
ID_LIKE="suse"
ANSI_COLOR="0;32"
CPE_NAME="cpe:/o:suse:sle:15:sp5"
EOF

%clean
rm -rf %buildroot

%files
%defattr(644,root,root,755)
%config /etc/os-release

%changelog
* Wed Aug  3 2022 coolo@suse.com
- SLE 15 SP5 version (bsc#1188631)
* Thu Aug 12 2021 sweiberg@suse.com
- SLE 15 SP4 version (bsc#1188631)
* Tue Jul  7 2020 gyribeiro@suse.com
- SLE 15 SP3 version (jsc#RMC-1535)
* Wed Jul 17 2019 gyribeiro@suse.com
- SLE 15 SP2 version (bsc#1141831)
* Fri Dec 14 2018 behlert@suse.de
- SLE 15 SP1 version [bsc#1119458]
* Fri Mar 16 2018 ro@suse.de
- excludearch for i586 and s390 (bsc#1085644)
* Thu Jan 18 2018 ro@suse.de
- drop exclusivearch line
* Fri Oct 13 2017 kukuk@suse.de
- Initial version
